org.apache.hc.client5.http.impl.async

## Class BasicAsyncEntityProducer

- java.lang.Object
- - org.apache.hc.client5.http.impl.async.BasicAsyncEntityProducer

All Implemented Interfaces:
  org.apache.hc.core5.http.EntityDetails, org.apache.hc.core5.http.nio.AsyncDataProducer, org.apache.hc.core5.http.nio.AsyncEntityProducer, org.apache.hc.core5.http.nio.ResourceHolder

    public class BasicAsyncEntityProducer
    extends Object
    implements org.apache.hc.core5.http.nio.AsyncEntityProducer

### Method Summary

Methods
`int` `available()`
`void` `failed(Exception cause)`
`String` `getContentEncoding()`
`long` `getContentLength()`
`String` `getContentType()`
`Set<String>` `getTrailerNames()`
`boolean` `isChunked()`
`void` `produce(org.apache.hc.core5.http.nio.DataStreamChannel channel)`
`void` `releaseResources()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### releaseResources

    public void releaseResources()

Specified by:
  `releaseResources` in interface `org.apache.hc.core5.http.nio.ResourceHolder`

#### failed

    public void failed(Exception cause)

Specified by:
  `failed` in interface `org.apache.hc.core5.http.nio.AsyncEntityProducer`

#### getContentLength

    public long getContentLength()

Specified by:
  `getContentLength` in interface `org.apache.hc.core5.http.EntityDetails`

#### getContentType

    public String getContentType()

Specified by:
  `getContentType` in interface `org.apache.hc.core5.http.EntityDetails`

#### getContentEncoding

    public String getContentEncoding()

Specified by:
  `getContentEncoding` in interface `org.apache.hc.core5.http.EntityDetails`

#### isChunked

    public boolean isChunked()

Specified by:
  `isChunked` in interface `org.apache.hc.core5.http.EntityDetails`

#### getTrailerNames

    public Set<String> getTrailerNames()

Specified by:
  `getTrailerNames` in interface `org.apache.hc.core5.http.EntityDetails`

#### available

    public int available()

Specified by:
  `available` in interface `org.apache.hc.core5.http.nio.AsyncDataProducer`

#### produce

    public void produce(org.apache.hc.core5.http.nio.DataStreamChannel channel)
                 throws IOException

Specified by:
  `produce` in interface `org.apache.hc.core5.http.nio.AsyncDataProducer`
Throws:
  `IOException`